execute if score crafting bow_settings matches 1 as @e[type=item,nbt={Item:{id:"minecraft:nether_star",Count:1b}}] at @s if block ~ ~-0.3 ~ minecraft:fletching_table run function bow:crafting/detect_items
execute if score crafting bow_settings matches 1 as @e[type=item,nbt={Item:{id:"minecraft:fire_charge",Count:1b}}] at @s if block ~ ~-0.3 ~ minecraft:fletching_table run function bow:crafting/detect_items
execute if score crafting bow_settings matches 1 as @e[type=item,nbt={Item:{id:"minecraft:blue_ice",Count:1b}}] at @s if block ~ ~-0.3 ~ minecraft:fletching_table run function bow:crafting/detect_items
execute if score crafting bow_settings matches 1 as @e[type=item,nbt={Item:{id:"minecraft:redstone_block",Count:1b}}] at @s if block ~ ~-0.3 ~ minecraft:fletching_table run function bow:crafting/detect_items
execute if score crafting bow_settings matches 1 as @e[type=item,nbt={Item:{id:"minecraft:tnt",Count:1b}}] at @s if block ~ ~-0.3 ~ minecraft:fletching_table run function bow:crafting/detect_items
execute if score crafting bow_settings matches 1 as @e[type=item,nbt={Item:{id:"minecraft:bow",Count:1b}}] at @s if block ~ ~-0.3 ~ minecraft:fletching_table run function bow:crafting/detect_items


#shoot event handling
execute as @a[scores={shot_bow=1..}] at @s run function bow:weapons/arrows

#fix bow
scoreboard players add wasd.timer bow_settings 1
execute if score wasd.timer bow_settings matches 100.. run function bow:magic/weapons/bows/bow_fix
execute if score wasd.timer bow_settings matches 100.. run scoreboard players set wasd.timer bow_settings 0



#Bomb Arrow hit an entity handling
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:1b}]}] at @s if score explode bow_settings matches 1 run function lib:affects/explode
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:1b}]}] at @s if score explode bow_settings matches 0 run function lib:affects/fake_explode
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:1b}]}] at @s run effect clear @s minecraft:luck

#Fire Arrow hit an entity hanndling
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:2b}]}] at @s run playsound minecraft:zelda.f_arrow_hit player @a[distance=..50] ~40 ~ ~ 5 1
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:2b}]}] at @s run effect clear @s minecraft:luck

#Ice Arrow hit an entity handling
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:3b}]}] at @s run function lib:affects/on_freeze
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:3b}]}] at @s run effect clear @s minecraft:luck

#Light Arrow hit an entity handling
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:4b}]}] at @s run tag @s add disintegrate
team join see_invis @a[team=!see_invis]

#Lightning Arrow hit an entity handling
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:5b}]}] at @s run effect give @s[tag=zap_immune] minecraft:resistance 1 100 true
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:5b}]}] at @s run summon minecraft:lightning_bolt
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:5b}]}] at @s run tag @e[distance=..7,type=#lib:mobs] add electric_stunned
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:5b}]}] at @s run playsound minecraft:zelda.botw_electric player @a[distance=..50] ~40 ~ ~ 5 1
execute as @e[nbt={ActiveEffects:[{Id:26b,Amplifier:5b}]}] at @s run effect clear @s minecraft:luck


function bow:magic/weapons/bows/bow_switch

#arrow particles
execute as @e[type=arrow,tag=custom_arrow] at @s run function bow:affects/arrows

#dissentigrate affect
execute as @e[tag=disintegrate] at @s run function bow:affects/disintegrate

#don't kill twice
execute as @a[tag=disintegrate,nbt={Health:0.0f}] run tag @s remove disintegrate
execute as @a[tag=disintegrate,nbt={Health:0.0f}] run scoreboard players reset @s disintegrate
execute as @a[tag=disintegrate,nbt={Health:0.0f}] run effect clear @s minecraft:invisibility